
Ruby - Bug #10807

Segfault on arm - ruby trunk, 2.2, 2.1

01/31/2015 01:36 PM - oceyral (Olivier Ceyral)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.3.0dev (2015-01-30 trunk 49442)

[armv7l-linux-eabihf]

Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2:

UNKNOWN

Description

First, apologies if this is a duplicate or wrong place to report. I know next to nothing about ruby, so I don't even really understand the

trace.

Anyway, trying to install gitlab (any recent version) on arm, I encounter a segfault when trying to precompile assets, more precisely a

segfault while compiling therubyracer v0.12.0.

The error message : /home/git/gitlab/vendor/bundle/ruby/2.3.0/gems/therubyracer-0.12.0/lib/v8/function.rb:13: [BUG] Segmentation

fault at 0x22bda0

See attached log file for full information.

Segfault occurs with ruby 2.1.5, 2.2.0, and snapshot all obtained from ruby-lang.org.

I could possibly make the arm server available to a dev for testing.

History

#1 - 01/31/2015 01:53 PM - usa (Usaku NAKAMURA)

- Status changed from Open to Third Party's Issue

The SEGV is caused in therubyracer's C extention.

So, you should report this to the developers of therubyracer first.

#2 - 01/31/2015 02:14 PM - oceyral (Olivier Ceyral)

Usaku NAKAMURA wrote:

The SEGV is caused in therubyracer's C extention.

So, you should report this to the developers of therubyracer first.

 Oh, sorry then. Will do.

Files

error.log 355 KB 01/31/2015 oceyral (Olivier Ceyral)
